js判断IE版本,禁止低版本IE浏览器代码

对于大多数程序员和美工设计人员来说,ie6,7漏洞颇多 ,兼容性问题不断,今天我们就来写一段javascript代码强制用户升级到IE高版本:

var Sys = {};
var ua = navigator.userAgent.toLowerCase();
if (window.ActiveXObject){
	Sys.ie = ua.match(/msie ([\d.]+)/)[1];
	if (Sys.ie<=7){
		alert('你目前的IE版本为'+Sys.ie+'版本太低,请升级!');
		location.href="http://windows.microsoft.com/zh-CN/internet-explorer/downloads/ie";
	}
}

关键词: ie6 ie ie7

网友留言(0条)

发表评论